package puremvc.app.controller
{
	import flash.display.Stage;
	import puremvc.app.view.ApplicationMediator;
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.command.SimpleCommand;
	
	
	/**
	 * Sous commande pour préparer la vue.
	 * 
	 * @author matth
	 */
	public class ViewPrepCommand extends SimpleCommand
	{


    	/**
    	 * Création et enregistrement des proxy nécessaires au démarrage de l'application.
    	 * Appelé par MacroCommand.
    	 * 
    	 */
        override public function execute(note:INotification):void    
        {
        	// ApplicationMediator est le médiateur de notre vue principale.
			// Il est chargé d'enregistrer tous les autres médiateurs de notre application. 
			var stage:Stage = note.getBody() as Stage;
            facade.registerMediator(new ApplicationMediator( stage ) );
        }
    }

}
